Class | Sequel::DBI::Dataset
In: | lib/sequel/adapters/dbi.rb
Parent: | Sequel::Dataset

### Methods

fetch_rows

### Public Instance methods

fetch_rows(sql) {|hash_row(s, r)}| ...}

[Source]

         # File lib/sequel/adapters/dbi.rb, line 91
     91:       def fetch_rows(sql)
     92:         execute(sql) do |s|
     93:           begin
     94:             @columns = s.column_names.map{|c| output_identifier(c)}
     95:             s.fetch{|r| yield hash_row(s, r)}
     96:           ensure
     97:             s.finish rescue nil
     98:           end
     99:         end
    100:         self
    101:       end

[Validate]